/**
  *
  * Klasse fr einen Weg
  *
  * @version 1.0 vom 07.08.2008
  * @author Daniel Garmann
  */

public class Weg {

  private final int MAXKANTEN = 100;

  private int kantenAnzahl;
  private Kante[] kanten = new Kante[MAXKANTEN];

  public Weg() {
    kantenAnzahl = 0;
  }
  
  public void neueKante(char start, char ziel)
  {
    Kante kante = new Kante(start, ziel);
    kanten[kantenAnzahl] = kante;
    kantenAnzahl++;
  }
  
  public void rotiere()
  {
    Kante kante = kanten[0];
    for (int i = 0; i < kantenAnzahl-1; i++) {
      kanten[i] = kanten[i+1];
    }
    kanten[kantenAnzahl-1] = kante;
  }
  
  public Kante gibLetzteKante() {
    return kanten[kantenAnzahl-1];
  }
  
  public String ausgabe()
  {
    String result = "";
    for (int i = 0; i < kantenAnzahl; i++) {
      result = result + kanten[i].gibStart()+"-"+kanten[i].gibZiel()+", ";
    }
    return result;
  }
}
